# Enum Class IntegralData.IntMode

java.lang.Object
java.lang.Enum<IntegralData.IntMode>
jspecview.common.IntegralData.IntMode

All Implemented Interfaces:
  `Serializable, Comparable<IntegralData.IntMode>, Constable`

Enclosing class:
  `IntegralData`

public static enum IntegralData.IntMode extends Enum<IntegralData.IntMode>

Author:
  Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
`CLEAR`
`LIST`
`MARK`
`MIN`
`NA`
`OFF`
`ON`
`TOGGLE`
`UPDATE`

## Method Summary

Modifier and Type
Method
Description
`static IntegralData.IntMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntegralData.IntMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final IntegralData.IntMode OFF

### ON

public static final IntegralData.IntMode ON

### TOGGLE

public static final IntegralData.IntMode TOGGLE

### AUTO

public static final IntegralData.IntMode AUTO

### LIST

public static final IntegralData.IntMode LIST

### MARK

public static final IntegralData.IntMode MARK

### MIN

public static final IntegralData.IntMode MIN

### UPDATE

public static final IntegralData.IntMode UPDATE

### CLEAR

public static final IntegralData.IntMode CLEAR

### NA

public static final IntegralData.IntMode NA

## Method Details

### values

public static IntegralData.IntMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IntegralData.IntMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null